package cn.net.caoyao.cpzshandset.db.presenter;

import java.util.List;

import android.database.Cursor;
import cn.net.cpzslibs.prot.handset.bean.res.LiqueurGroupInfoBean;

public interface GroupInfoDal {
	/**
	 * 插入班组信息
	 * @param groupInfoBeans
	 */
	void insertGroupInfoList(List<LiqueurGroupInfoBean> groupInfoBeans);
	/**
	 * 查询所有的班组信息
	 * @return
	 */
	List<LiqueurGroupInfoBean> queryAllGroupInfo();
	/**
	 * 通过id，查询对应的班组信息
	 * @param id
	 * @return
	 */
	LiqueurGroupInfoBean queryGroupInfoById(long id);
	/**
	 * 删除所有的班组信息
	 */
	void deleteAllGroupInfo();
	/**
	 * 通过id删除班组信息
	 */
	void deleteGroupInfoById(long id);
	LiqueurGroupInfoBean getGroupInfo(Cursor c);
}
